Skip to main content
POST
Schedule an SMS Broadcast for Future Delivery

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Body

application/json
to
string
required

Recipient phone number in E.164 format (accepted aliases: "phone", "recipient", "recipients").

Example:

"+256700000000"

message
string
required

SMS text body (accepted aliases: "text", "body").

Example:

"Reminder: Scheduled appointment tomorrow at 10:00 AM."

scheduled_at
string<date-time>
required

Future ISO-8601 timestamp for delivery (accepted aliases: "send_at", "scheduledFor", "scheduledAt").

Example:

"2026-12-01T09:00:00.000Z"

sender_id
string

Approved alphanumeric Sender ID (defaults to "UGATEXT").

Example:

"UGATEXT"

recurrence
enum<string>
default:none

Repeat interval for the scheduled message. Only "none", "daily", "weekly", and "monthly" are supported.

Available options:
none,
daily,
weekly,
monthly

Response

Message scheduled successfully

success
boolean
Example:

true

message_id
string
Example:

"sched_1760425200000_1a2b3c4d"

status
string
Example:

"scheduled"

recipient
string
Example:

"+256700000000"

sender_id
string
Example:

"UGATEXT"

scheduled_at
string<date-time>
recurrence
enum<string>
Available options:
none,
daily,
weekly,
monthly
Example:

"none"

segments
integer
Example:

1

cost_units
integer
Example:

0

estimated_cost_ugx
number
Example:

0

cost_ugx
number
Example:

0

currency
string
Example:

"UGX"

mode
enum<string>
Available options:
live,
sandbox
Example:

"sandbox"